all:
  .settings:
    # tom@punkave.com: this is a directory, containing multiple things,
    # not an individual file (see similar cases in a default 
    # application's config/settings.yml). If people use the standard
    # symbolic link they won't change this. A trailing / is not
    # required (again, see those other cases).
    # Also it should be the plugin's main webdir, not the /js subfolder,
    # for consistency with other plugins.
    
    # Note that individual javascript files will be looked for in a /js subfolder
    # of the folder you name here. 
    
    jquery_web_dir: /sfJqueryReloadedPlugin

    # tom@punkave.com: this is a filename WITHIN jquery_web_dir/js. 
    # Some users might have other builds of jquery.
    jquery_core: jquery-1.7.min.js
    # Unfortunately it seems like a lot of things that depend on jQuery are not quite right 
    # so we are going to hold off on enabling it in the plugin right now.
    # jquery_core: jquery-1.4.2.min.js 

    # tom@punkave.com: This is within jquery_web_dir/js/plugins. 
    # Since a full build of jquery UI is quite large, this is a minimized build
    # with only features actually used by at least one helper. And we load
    # it only if at least one of those helpers is used. 
    
    # You can substitute another version if you wish
    
    jquery_ui: jquery-ui-1.7.3.custom.min.js   

    # jquery_ui_css: /path/to/css/for/ui

    # bruno.adele@jesuislibre.org This is within jquery_web_dir/js/plugins.
    # http://bassistance.de/jquery-plugins/jquery-plugin-autocomplete/
    jquery_autocomplete: jquery.autocomplete.min.js

    # jquery_sortable maps to jquery_ui for backwards compatibility with code that
    # explicitly loads the former by name
    
    # Path to jQuery. Setting is available so jQuery can be loaded from a CDN
    # or some other path completely
    jquery_path: ~
    
    # Configure the path to jQuery plugins so plugins can also be loaded from a CDN
    # or some other path completely
    jquery_plugin_paths: ~
